gray_pixel.hpp File Reference

Go to the source code of this file.

## Classes

class | png::packed_gray_pixel< bits >
| The packed gray pixel class template. The available specializations are for 1-, 2- and 4-bit pixels. More...
struct | png::pixel_traits< gray_pixel >
| Pixel traits specialization for gray_pixel. More...
struct | png::pixel_traits< gray_pixel_16 >
| Pixel traits specialization for gray_pixel_16. More...
struct | png::pixel_traits< packed_gray_pixel< bits > >
| Pixel traits specialization for packed_gray_pixel. More...

## Namespaces

namespace | png

## Typedefs

typedef byte | png::gray_pixel
| The 8-bit Grayscale pixel type.
typedef uint_16 | png::gray_pixel_16
| The 16-bit Grayscale pixel type.
typedef packed_gray_pixel< 1 > | png::gray_pixel_1
| The 1-bit Grayscale pixel type.
typedef packed_gray_pixel< 2 > | png::gray_pixel_2
| The 2-bit Grayscale pixel type.
typedef packed_gray_pixel< 4 > | png::gray_pixel_4
| The 4-bit Grayscale pixel type.